## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-bsmschema
Summary:        BIDS Stats Models Schema
Version:        0.1.0
Release:        %autorelease

License:        Apache-2.0
URL:            https://github.com/bids-standard/stats-models
Source:         %{pypi_source bsmschema}

BuildArch:      noarch

BuildRequires:  python3-devel

%global common_description %{expand:
This package contains a Pydantic description of the BIDS Stats Models format,
which can be used as a schema validator or generate JSON schema for independent
validation.}

%description %{common_description}


%package -n     python3-bsmschema
Summary:        %{summary}

%description -n python3-bsmschema %{common_description}


%prep
%autosetup -n bsmschema-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l bsmschema


%check
# Upstream does not provide a test suite.
%pyproject_check_import


%files -n python3-bsmschema -f %{pyproject_files}
%doc README.md


%changelog
* Sun Dec 17 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.0-4
- Assert that %%pyproject_files contains a license file

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 0.1.0-2
- Rebuilt for Python 3.12

* Tue May 30 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.0-1
- Initial package (close RHBZ#2191661)
